import { jsx } from "react/jsx-runtime";
import { TokenMXM as TokenMXM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMXM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MXM", "data-name": "TokenMXM", ...props, children: /* @__PURE__ */ jsx(TokenMXM$1, { variant }) });
  }
);
TokenMXM.displayName = "TokenMXM";
Object.assign(TokenMXM, { isGdsIcon: true });
export {
  TokenMXM
};
